View Issue Details

IDProjectCategoryView StatusLast Update
0013386MediaMonkey 4Properties/Auto-Toolspublic2016-12-12 00:12
Reporterpeke Assigned To 
PriorityurgentSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Target Version4.1.15Fixed in Version4.1.15 
Summary0013386: Album Art: Track on Non Connected HDDs can throw error on album art edit
DescriptionWhen user change HDD (and drive letter) but not location then MMW detect it as new HDD leaving old copies grayed (if user do not use MOVED/LOCATE MISSING feature of MMW to update tracks to new location but scans hdd and create duplicates).

In case when user Mass edits Album (Both Grayed adn newly added duplicate), MMW also finds linked album art in grayed tracks and throw error as it can't update album art in tags of newly added duplicates. Due the fact Linked Album art is fetched from grayed tracks that reside on non inserted/available hdd (drive letter).

MMW should simply just ignore the error due the fact that HDD is not accessible.
Steps To Reproduce1. Add several Linked Album arts to one album
2. Move that album to different HDD and drive letter (including album art files)
3. Scan newly moved folder
4. Find More from same -> Album
5. Edit all tracks and change only album art by selecting all tracks
6. MMW throw error that it can't update album art due the fact that specific album art is linked to path not available anymore
Additional InformationPUP-565-20032
TagsNo tags attached.
Fixed in build1818

Relationships

related to 0013741 closedjiri MediaMonkey 5 Album Art: Handling Linked Album art 

Activities

Ludek

2016-07-04 14:15

developer   ~0045080

Peke, I see that this is something from a remote session with user.
Could you please add steps to reproduce?

Ludek

2016-11-14 22:50

developer   ~0046155

Fixed in 4.1.15.1818

peke

2016-12-03 00:28

developer   ~0046378

Verified 1818